## org.apache.batik.apps.svgbrowser
Class DOMViewer.Panel.NodeTemplateParser

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.Panel.NodeTemplateParser

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  DOMViewer.Panel

    protected class DOMViewer.Panel.NodeTemplateParser

extends java.lang.Object
implements java.awt.event.ActionListener

Parser for the Element template.

Field Summary
`protected short` `nodeType` The node type.
`protected java.lang.String` `toParse` The string to parse.

Constructor Summary
`DOMViewer.Panel.NodeTemplateParser(java.lang.String toParse, short nodeType)` Constructor.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toParse

    protected java.lang.String toParse

  The string to parse.

### nodeType

    protected short nodeType

  The node type.

Constructor Detail

### DOMViewer.Panel.NodeTemplateParser

    public DOMViewer.Panel.NodeTemplateParser(java.lang.String toParse,
                                              short nodeType)

  Constructor.

  Parameters:
    `toParse` - The string to parse

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.